description: WordHat error code documentation for Behat contexts
# Error codes W800-899

These errors originate from WordHat's Behat contexts (and associated plumbing).

## W801
> User details for role () not found.

WordHat cannot find the specified user account.
Does it exist? Check your `behat.yml` for typos.

## W802
> The user () was logged-in succesfully. This should not have happened.

This exception asserts that the user could not logged in; but, they were able to.
Have you used the correct step definition?

## W803
> The user could not be logged-in.

WordHat could not authenticate with WordPress as the specified user.
Assuming the user account exists, this is typically very hard to debug.
Check your `behat.yml` for typos. Consider running the scenario in a browser so you can see where the problem occurs.

## W804
> User with login: () exists but password is incorrect.
> User with login: () exists, but (parameter) is not (expected value) which was specified.
> User with login: () exists, but role (name) is not in the list of applied roles: ().

Check your `behat.yml` for typos.

## W806
> The text "()" was not found in the toolbar.

Has the user authenticated? Can the user see the WordPress Toolbar?

## W807
> Toolbar shows authenticated user is "(value)", not "(expected value)".

Has the user authenticated? Can the user see the WordPress Toolbar?
Check your `behat.yml` for typos.

## W808
> Content editor is in "(value)" mode. Expected "(another mode)".

In WordPress' Post Editor, are both TinyMCE and Rich Text views available for the `post_content` field?

## W809
> Metabox "(name)" was found on the page, but it should not be there.

Have you used the correct step definition?

## W810
> "Given I am viewing a post:" step must only contain one post'

This step definition -- currently -- only accepts one post.

## W811
> Content "(name)" exists, but it should not.

Have you used the correct step definition?

